Bug 469520 - NetworkManager-pptp fails VPN connection until machine reboots
NetworkManager-pptp fails VPN connection until machine reboots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 17:11 EDT by Robert Banfield
Modified: 2010-06-28 06:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Banfield 2008-11-01 17:11:58 EDT
Description of problem: I was unable to connect to VPN after executing yum install NetworkManager-pptp.  Logging out and logging back in did not help.  Restarting NetworkManager did not help.  Only reboot allowed me to connect.  Likely dbus related.


Version-Release number of selected component (if applicable): NetworkManager-pptp-0.7.0-0.10.svn4027.fc9.x86_64


How reproducible: Always


Steps to Reproduce:
1. Start with networkmanager already installed and running
2. Install networkmanager-pptp
3. Try to connect to vpn
  
Actual results:
VPN will not connect.  Further diagnosis revealed the following problem with /usr/libexec/nm-pptp-service:  

** (process:4930): WARNING **: <WARN>  constructor(): Connection ":1.336" is not allowed to own the service "org.freedesktop.NetworkManager.pptp" due to security policies in the configuration file

Expected results:  VPN connects

Additional info: SELinux is disabled
Comment 1 Colin.Simpson 2008-12-03 15:08:03 EST
This is still present in F10.
Comment 2 Bug Zapper 2009-06-09 23:08:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Colin.Simpson 2009-06-10 05:12:53 EDT
As I said this is still present in F10 not sure on F11 yet.
Comment 4 Mat Booth 2009-06-30 16:32:52 EDT
This is still present in F11.
Comment 5 Tobias Oed 2009-09-09 07:50:41 EDT
I had the same issue, and after the messagebus service it worked. (this killed my session though)
Tobias
Comment 6 Bug Zapper 2010-04-27 08:18:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Colin.Simpson 2010-04-28 14:15:47 EDT
I've stopped using PPTP so not sure if still present in F12
Comment 8 Mat Booth 2010-05-10 13:15:43 EDT
NetworkManager-pptp is installed by default now with the gnome-desktop group, so I guess this is a bit of a non-issue...
Comment 9 Bug Zapper 2010-06-28 06:47:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.